/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 997 $
 * $Date: 2020-03-19 13:49:34 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.bu21.general.dtypes.xsd;

import java.io.InputStream;
import java.io.Reader;

import org.w3c.dom.ls.LSInput;

/**
 * Resource input of data-types
 * 
 * @author Werner Koppelsttter
 */
public class LSDataInput implements LSInput {

	/** System-id of Resource */
	String systemID;

	/**
	 * Create Input for system-id
	 * 
	 * @param systemID
	 *            System id
	 */
	public LSDataInput(String systemID) {
		this.systemID = systemID;
	}

	@Override
	public Reader getCharacterStream() {
		return null;
	}

	@Override
	public void setCharacterStream(Reader characterStream) {
	}

	@Override
	public InputStream getByteStream() {
		return null;
	}

	@Override
	public void setByteStream(InputStream byteStream) {
	}

	@Override
	public String getStringData() {
		return null;
	}

	@Override
	public void setStringData(String stringData) {
	}

	@Override
	public String getSystemId() {
		return this.systemID;
	}

	@Override
	public void setSystemId(String systemId) {
		this.systemID = systemId;
	}

	@Override
	public String getPublicId() {
		return null;
	}

	@Override
	public void setPublicId(String publicId) {
	}

	@Override
	public String getBaseURI() {
		return this.getClass().getResource(this.systemID).toString();
	}

	@Override
	public void setBaseURI(String baseURI) {
	}

	@Override
	public String getEncoding() {
		return null;
	}

	@Override
	public void setEncoding(String encoding) {
	}

	@Override
	public boolean getCertifiedText() {
		return false;
	}

	@Override
	public void setCertifiedText(boolean certifiedText) {
	}
}
