#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 9502 $
$LastChangedDate:: 2019-12-12 17:31:01 +0100#$

This file is part of SyMSpace.

Copyright (c) 2019, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""
import sys
import os
from symspace.generic_gui_qt import GUIFormThread
from symspace.console.script_utils import ScriptUtils
from symspace.utils.material_db import MaterialDataBase


def main():
    default_path = os.path.join(os.getcwd(), 'material.mat')
    form_title = 'Select destination for Material Database'
    form_elements = [('Select destination', 'save_file', default_path,
                      'MAT-files (*.mat)')
                     ]
    form = GUIFormThread(form_title, form_elements)

    form.start()

    if form.accept:
        file_path = os.path.join(form.result['Select destination'])
        MaterialDataBase.toFile(file_path)

        print('Export finished')
    else:
        print('Cancelled by user')


if __name__ == '__main__':
    """
    This script exports a the material database as MAT-files (*.mat)

    This script needs to be executed in the SyMSpace Python Console.
    """
    if 'nogui' in sys.argv:
        '''option for buildscripts'''
        MaterialDataBase.cmdToFile()
    else:
        ScriptUtils.runWithoutParams(main)
